#include<iostream>
#include<cstdio>
#include<algorithm>
#include<string>
#include<cmath>
#include<set>
#include<map>
#include<vector>

using namespace std;

int main() {
	freopen(".in","r",stdin);
	freopen(".out","w",stdout);

	return 0;
}
